Skip to main content
PATCH
/
api
/
products
/
{product_id}
/
materials
/
{id}
Update a product material
curl --request PATCH \
  --url https://clarus-api.com/api/products/{product_id}/materials/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "product_materials",
    "attributes": {
      "child_product_id": 88,
      "quantity": 4
    }
  }
}
'
{
  "data": {
    "id": "1",
    "type": "product_materials",
    "attributes": {
      "quantity": 4,
      "parent_product_id": 150,
      "child_product_id": 88
    }
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Path Parameters

product_id
integer
required

The parent product ID

id
integer
required

The product material ID

Body

application/json
data
object
required

Response

Updated successfully

The response is of type object.